Subject: bug#53024: 29.0.50; Wishlist: Byte-compile loaddefs.el?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Aug 2022 14:17:20 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 02 Aug 2022 11:52:51 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but where are those subtle points documented?  We need them
> > documented so that we don't break this again in the future.
> 
> It was just a bug, so I'm not sure where you'd document something like
> that.

Your fix for that problem, AFAIU, was to replace a simple literal
'insert' with something else, and I thought the considerations for
doing one and not the other should be spelled out somewhere.